This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1464183 - container image repo synced to foreman-proxy-content loses pulp attribute repo_registry_id
container image repo synced to foreman-proxy-content loses pulp attribute rep...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Tom McKay
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 11:11 EDT by Tom McKay
Modified: 2017-07-24 16:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-19 11:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19683 None None None 2017-06-22 11:11 EDT

  None (edit)
Description Tom McKay 2017-06-22 11:11:06 EDT
The 'repo_registry_id' field on a pulp repo is not set when it is synced to a foreman-proxy-content capsule.

To confirm, use pulp-admin to examine the repo on both foreman and the capsule. Note that the repo registry id info should be present in both.

<pre>

pulp-admin -u admin -p admin docker repo list --repo-id 3-rhcc-v2_0-00feb0ad-cfa1-4d6b-bc1b-367c0b777fe3 --details
...
Distributors:         
  Auto Publish:         True
  Config:               
    Protected:        False
    Repo-registry-id: examplecorp-rhcc-2_0-red_hat_container_catalog-openshift3_
                      ose-docker-registry
...
</pre>
Comment 1 Tom McKay 2017-06-22 11:11:11 EDT
Created from redmine issue http://projects.theforeman.org/issues/19683
Comment 2 Tom McKay 2017-06-22 11:11:16 EDT
Upstream bug assigned to tomckay@redhat.com
Comment 5 Justin Sherrill 2017-07-19 11:32:29 EDT
This was investigated upstream and it didn't seem to make much sense, as the Library instances are the only ones that have this special 'repo_registry_id'.

Content view instances such as the one in the description will never have a simple id.  Closing for now, but feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.